Apply Password Reset
1 min
PUT
https://api.upstartcommerce.com/v1/user/password/reset/{token}
tokenstring<p>This is a JWT-formatted token that was issued in response to the password-reset call.</p>
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobjectInclude the following data in the request.
200Response indicating that the password reset processed correctly.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
409The request conflicts with the current state of the resource.
500Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/user/password/reset/{token} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"password": ""
}'